#include <iostream>

using namespace std;

void proveriSlova(char c1, char c2, int a1, int a2)
{
    if (a1 == a2)
    {
        for (int i = 0; i < a1; i++)
        {
            // Jer je svejedno koji niz se pokaze, u ovom slucaju radi i obrnuto
            cout << (string() + c1 + c2);
        }

        return;
    }

    if (a1 == a2 + 1)
    {
        for (int i = 0; i < a1 + a2; i++)
        {
            if (i % 2 == 0)
                cout << (string() + c1);
            else
                cout << (string() + c2);
        }

        return;
    }

    if (a2 == a1 + 1)
    {
        for (int i = 0; i < a1 + a2; i++)
        {
            if (i % 2 == 0)
                cout << (string() + c2);
            else
                cout << (string() + c1);
        }

        return;
    }

    cout << "nemoguce";
}

int main()
{
    string slova;
    getline(cin, slova);

    string komadi;
    getline(cin, komadi);
    const string razmak = " ";

    string a1string = komadi.substr(0, komadi.find(razmak));
    string a2string = komadi.substr(
        razmak.length() + a1string.length(),
        komadi.find(razmak));

    const int a1 = stoi(a1string);
    const int a2 = stoi(a2string);

    proveriSlova(slova[0], slova[1], a1, a2);

    return 0;
}